.button-picture {
  display: flex;

  // reset the the theme settings, to allow button styles to be applied
  &, div {
    font-family: inherit;
    font-weight: inherit;
    font-size: inherit;
  }

  .picture {
    flex-shrink: 1;
    flex-grow: 0;
    height: 30px;
    font-size: 0;

    img {
      height: 100%;
    }
  }

  .text {
    flex-grow: 1;
    flex-shrink: 0;
  }

  .hover, .active {
    display: none;
  }

  &:hover, &.hover {
    .hover {
      display: inline-block;
    }

    .main-picture {
      display: none;
    }
  }

  &:active, &.active {
    .active {
      display: inline-block;
    }

    .main-picture, .hover {
      display: none;
    }
  }

  &.position-start {
    align-items: center;

    .picture + .text {
      margin-left: $spacer * 0.25;
    }
  }

  &.position-end {
    align-items: center;

    .picture {
      order: 1;

      & + .text {
        margin-right: $spacer * 0.25;
      }
    }
  }

  &.position-top {
    flex-direction: column;
    align-items: center;

    .picture + .text {
      margin-top: $spacer * 0.25;
    }
  }

  &.position-bottom {
    flex-direction: column;
    align-items: center;

    .picture {
      order: 1;

      & + .text {
        margin-bottom: $spacer * 0.25;
      }
    }
  }
}